PLplot: PlFrame Struct Reference

PLplot 5.15.0

Public Attributes | List of all members
PlFrame Struct Reference

## Public Attributes
Tk_Window | tkwin
Display * | display
Tcl_Interp * | interp
Tk_3DBorder | border
int | borderWidth
int | relief
int | width
int | height
Tk_Cursor | cursor
int | flags
int | tkwin_initted
PLStream * | pls
PLINT | ipls
PLINT | ipls_save
PLRDev * | plr
XColor * | bgColor
char * | plpr_cmd
PLDisplay | pldis
int | prevWidth
int | prevHeight
char * | SaveFnam
const char ** | devDesc
const char ** | devName
GC | xorGC
XPoint | pts [5]
int | continue_draw
Tk_Cursor | xhair_cursor
PLFLT | xl
PLFLT | xr
PLFLT | yl
PLFLT | yr
char * | xScrollCmd
char * | yScrollCmd
char * | bopCmd
char * | eopCmd
int | xhairs
int | drawing_xhairs
XPoint | xhair_x [2]
XPoint | xhair_y [2]
int | rband
int | drawing_rband
XPoint | rband_pt [2]

## Detailed Description

Definition at line 88 of file plframe.c.

## Member Data Documentation

## ◆ bgColor

XColor* PlFrame::bgColor

Definition at line 127 of file plframe.c.

## ◆ bopCmd

char* PlFrame::bopCmd

Definition at line 161 of file plframe.c.

## ◆ border

Tk_3DBorder PlFrame::border

Definition at line 105 of file plframe.c.

## ◆ borderWidth

int PlFrame::borderWidth

Definition at line 107 of file plframe.c.

## ◆ continue_draw

int PlFrame::continue_draw

Definition at line 149 of file plframe.c.

## ◆ cursor

Tk_Cursor PlFrame::cursor

Definition at line 113 of file plframe.c.

## ◆ devDesc

const char** PlFrame::devDesc

Definition at line 140 of file plframe.c.

## ◆ devName

const char** PlFrame::devName

Definition at line 142 of file plframe.c.

## ◆ display

Display* PlFrame::display

Definition at line 96 of file plframe.c.

## ◆ drawing_rband

int PlFrame::drawing_rband

Definition at line 174 of file plframe.c.

## ◆ drawing_xhairs

int PlFrame::drawing_xhairs

Definition at line 167 of file plframe.c.

## ◆ eopCmd

char* PlFrame::eopCmd

Definition at line 162 of file plframe.c.

## ◆ flags

int PlFrame::flags

Definition at line 114 of file plframe.c.

## ◆ height

int PlFrame::height

Definition at line 111 of file plframe.c.

## ◆ interp

Tcl_Interp* PlFrame::interp

Definition at line 99 of file plframe.c.

## ◆ ipls

PLINT PlFrame::ipls

Definition at line 123 of file plframe.c.

## ◆ ipls_save

PLINT PlFrame::ipls_save

Definition at line 124 of file plframe.c.

## ◆ pldis

PLDisplay PlFrame::pldis

Definition at line 132 of file plframe.c.

## ◆ plpr_cmd

char* PlFrame::plpr_cmd

Definition at line 128 of file plframe.c.

## ◆ plr

PLRDev* PlFrame::plr

Definition at line 126 of file plframe.c.

## ◆ pls

PLStream* PlFrame::pls

Definition at line 122 of file plframe.c.

## ◆ prevHeight

int PlFrame::prevHeight

Definition at line 134 of file plframe.c.

## ◆ prevWidth

int PlFrame::prevWidth

Definition at line 133 of file plframe.c.

## ◆ pts

XPoint PlFrame::pts[5]

Definition at line 148 of file plframe.c.

## ◆ rband

int PlFrame::rband

Definition at line 173 of file plframe.c.

## ◆ rband_pt

XPoint PlFrame::rband_pt[2]

Definition at line 175 of file plframe.c.

## ◆ relief

int PlFrame::relief

Definition at line 108 of file plframe.c.

## ◆ SaveFnam

char* PlFrame::SaveFnam

Definition at line 138 of file plframe.c.

## ◆ tkwin

Tk_Window PlFrame::tkwin

Definition at line 92 of file plframe.c.

## ◆ tkwin_initted

int PlFrame::tkwin_initted

Definition at line 121 of file plframe.c.

## ◆ width

int PlFrame::width

Definition at line 109 of file plframe.c.

## ◆ xhair_cursor

Tk_Cursor PlFrame::xhair_cursor

Definition at line 150 of file plframe.c.

## ◆ xhair_x

XPoint PlFrame::xhair_x[2]

Definition at line 168 of file plframe.c.

## ◆ xhair_y

XPoint PlFrame::xhair_y[2]

Definition at line 169 of file plframe.c.

## ◆ xhairs

int PlFrame::xhairs

Definition at line 166 of file plframe.c.

## ◆ xl

PLFLT PlFrame::xl

Definition at line 151 of file plframe.c.

## ◆ xorGC

GC PlFrame::xorGC

Definition at line 147 of file plframe.c.

## ◆ xr

PLFLT PlFrame::xr

Definition at line 151 of file plframe.c.

## ◆ xScrollCmd

char* PlFrame::xScrollCmd

Definition at line 152 of file plframe.c.

## ◆ yl

PLFLT PlFrame::yl

Definition at line 151 of file plframe.c.

## ◆ yr

PLFLT PlFrame::yr

Definition at line 151 of file plframe.c.

## ◆ yScrollCmd

char* PlFrame::yScrollCmd

Definition at line 155 of file plframe.c.

The documentation for this struct was generated from the following file:

- plframe.c